Skip to main content

Instances Actions

https://api.losant.com/instances

Below are the various requests that can be performed against the Instances resource, as well as the expected parameters and the potential responses.

Get​

Returns a collection of instances

Method And Url​

GET https://api.losant.com/instances

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, instances.*, instances.get, only.User, only.User.bounded, or only.User.read.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my * instance

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances

Successful Responses​

CodeTypeDescription
200InstancesCollection of instances

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Instances​

        Schema for a collection of Instances

        Instances Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 9 keys
            • ▶
              {} 2 keys
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 2 keys

                          Instances Example​

                          • ▶
                            {} 7 keys
                            • 2
                            • ▶
                              [] 1 item
                              • 100
                              • 0
                              • "name"
                              • "asc"
                              • 2

                            Was this page helpful?


                            Still looking for help? You can also search the Losant Forums or submit your question there.